Delete an image
curl --request DELETE \
--url https://app.myhero.so/media/image/{imageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/media/image/{imageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/media/image/{imageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": true
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Media
Delete an image
Deletes the image record identified by imageId and removes it from object storage.
Requires edit access to the document the image belongs to.
Returns true on success.
DELETE
/
media
/
image
/
{imageId}
Delete an image
⌘I